# Set incoming order state

## Incoming order states

An incoming order will always have one of the following state that define the order:

* New (There is a new incoming order that requires a shipping action)
* Processing (Someone started creating a shipment but it is still pending)
* Completed (A shipment was created for this order)
* Cancelled (The order was cancelled)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiplemon.com/endpoints/incoming-orders/set-incoming-order-state.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
